#include <iostream>
#include <stdlib.h>
#include <string>
#include <sstream>  
#include <math.h>
using namespace std;

bool manji(string s1, string s2){
    for(int i=0;i<min(s1.length(),s2.length());i++){
        if(s1[i]<s2[i])return true;
        else if(s1[i]>s2[i])return false;
    }
    return false;
}
int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cerr.tie(0);
    long long int a,b,c;
    cin>>a>>b>>c;
    stringstream sa,sb,sc;
    sa << a;
    string strA = sa.str();
    sb << b;
    string strB = sb.str();
    sc << c;
    string strC = sc.str();
    string sk[6];
    sk[0]=strA+strB+strC;
    sk[1]=strA+strC+strB;
    sk[2]=strB+strA+strC;
    sk[3]=strB+strC+strA;
    sk[4]=strC+strA+strB;
    sk[5]=strC+strB+strA;
    string max=sk[0];
    for(int i=1;i<6;i++){
        if(manji(max,sk[i]))max=sk[i];
    }
    cout<<max;
    
    
}